FMT(1)

NAME
fmt - simple text formatter

SYNOPSIS
fmt [ goal [maximum]] [name ...]

DESCRIPTION
fmt is a simple text formatter which reads the concatenation of input files (or standard input if none are given) and produces on standard output a version of its input with lines as close to the goal length as possible without exceeding the maximum. The goal length defaults to 65 and the maximum to 75. The spacing at the beginning of the input lines is preserved in the output, as are blank lines and interword spacing.

fmt is meant to format mail messages prior to sending, but may also be useful for other simple tasks. For instance, within visual mode of the ex(1) editor (e.g. vi(1)) the command

    !}fmt

will reformat a paragraph, evening the lines.

SEE ALSO
nroff(1), mail(1)

HISTORY
The fmt command appeared in 3BSD.

BUGS
The program was designed to be simple and fast - for more complex operations, the standard text processors are likely to be more appropriate.